com.corticon.rulesemf.ast.util

## Class AstSwitch

- java.lang.Object
- - com.corticon.rulesemf.ast.util.AstSwitch

-     public class AstSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `AstPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AstPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseAdditiveExpression(AdditiveExpression object)` Returns the result of interpreting the object as an instance of 'Additive Expression'
    `java.lang.Object` | `caseAdditiveOperator(AdditiveOperator object)` Returns the result of interpreting the object as an instance of 'Additive Operator'
    `java.lang.Object` | `caseAdditiveSubExpression(AdditiveSubExpression object)` Returns the result of interpreting the object as an instance of 'Additive Sub Expression'
    `java.lang.Object` | `caseAssignmentExpression(AssignmentExpression object)` Returns the result of interpreting the object as an instance of 'Assignment Expression'
    `java.lang.Object` | `caseAssignmentOperator(AssignmentOperator object)` Returns the result of interpreting the object as an instance of 'Assignment Operator'
    `java.lang.Object` | `caseCompoundExpression(CompoundExpression object)` Returns the result of interpreting the object as an instance of 'Compound Expression'
    `java.lang.Object` | `caseConditionValueSet(ConditionValueSet object)` Returns the result of interpreting the object as an instance of 'Condition Value Set'
    `java.lang.Object` | `caseDeclarator(Declarator object)` Returns the result of interpreting the object as an instance of 'Declarator'
    `java.lang.Object` | `caseExpression(Expression object)` Returns the result of interpreting the object as an instance of 'Expression'
    `java.lang.Object` | `caseFeatureCall(FeatureCall object)` Returns the result of interpreting the object as an instance of 'Feature Call'
    `java.lang.Object` | `caseFeatureCallParameters(FeatureCallParameters object)` Returns the result of interpreting the object as an instance of 'Feature Call Parameters'
    `java.lang.Object` | `caseGeneralExpression(GeneralExpression object)` Returns the result of interpreting the object as an instance of 'General Expression'
    `java.lang.Object` | `caseIConditionValue(IConditionValue object)` Returns the result of interpreting the object as an instance of 'ICondition Value'
    `java.lang.Object` | `caseIExpression(IExpression object)` Returns the result of interpreting the object as an instance of 'IExpression'
    `java.lang.Object` | `caseIfExpression(IfExpression object)` Returns the result of interpreting the object as an instance of 'If Expression'
    `java.lang.Object` | `caseIPrimaryExpression(IPrimaryExpression object)` Returns the result of interpreting the object as an instance of 'IPrimary Expression'
    `java.lang.Object` | `caseLiteral(Literal object)` Returns the result of interpreting the object as an instance of 'Literal'
    `java.lang.Object` | `caseLiteralCollection(LiteralCollection object)` Returns the result of interpreting the object as an instance of 'Literal Collection'
    `java.lang.Object` | `caseLogicalExpression(LogicalExpression object)` Returns the result of interpreting the object as an instance of 'Logical Expression'
    `java.lang.Object` | `caseLogicalOperator(LogicalOperator object)` Returns the result of interpreting the object as an instance of 'Logical Operator'
    `java.lang.Object` | `caseLogicalSubExpression(LogicalSubExpression object)` Returns the result of interpreting the object as an instance of 'Logical Sub Expression'
    `java.lang.Object` | `caseMultiplicativeExpression(MultiplicativeExpression object)` Returns the result of interpreting the object as an instance of 'Multiplicative Expression'
    `java.lang.Object` | `caseMultiplicativeOperator(MultiplicativeOperator object)` Returns the result of interpreting the object as an instance of 'Multiplicative Operator'
    `java.lang.Object` | `caseMultiplicativeSubExpression(MultiplicativeSubExpression object)` Returns the result of interpreting the object as an instance of 'Multiplicative Sub Expression'
    `java.lang.Object` | `caseName(Name object)` Returns the result of interpreting the object as an instance of 'Name'
    `java.lang.Object` | `caseParameterList(ParameterList object)` Returns the result of interpreting the object as an instance of 'Parameter List'
    `java.lang.Object` | `casePathName(PathName object)` Returns the result of interpreting the object as an instance of 'Path Name'
    `java.lang.Object` | `casePostfixExpression(PostfixExpression object)` Returns the result of interpreting the object as an instance of 'Postfix Expression'
    `java.lang.Object` | `casePrimaryExpression(PrimaryExpression object)` Returns the result of interpreting the object as an instance of 'Primary Expression'
    `java.lang.Object` | `caseQualifiers(Qualifiers object)` Returns the result of interpreting the object as an instance of 'Qualifiers'
    `java.lang.Object` | `caseRangeExpression(RangeExpression object)` Returns the result of interpreting the object as an instance of 'Range Expression'
    `java.lang.Object` | `caseRelationalExpression(RelationalExpression object)` Returns the result of interpreting the object as an instance of 'Relational Expression'
    `java.lang.Object` | `caseRelationalOperator(RelationalOperator object)` Returns the result of interpreting the object as an instance of 'Relational Operator'
    `java.lang.Object` | `caseRelationalSubExpression(RelationalSubExpression object)` Returns the result of interpreting the object as an instance of 'Relational Sub Expression'
    `java.lang.Object` | `caseRuleStatement(RuleStatement object)` Returns the result of interpreting the object as an instance of 'Rule Statement'
    `java.lang.Object` | `caseTypeSpecifier(TypeSpecifier object)` Returns the result of interpreting the object as an instance of 'Type Specifier'
    `java.lang.Object` | `caseUnaryExpression(UnaryExpression object)` Returns the result of interpreting the object as an instance of 'Unary Expression'
    `java.lang.Object` | `caseUnaryOperator(UnaryOperator object)` Returns the result of interpreting the object as an instance of 'Unary Operator'
    `java.lang.Object` | `caseValueSet(ValueSet object)` Returns the result of interpreting the object as an instance of 'Value Set'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static AstPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### AstSwitch

          public AstSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseAdditiveExpression

          public java.lang.Object caseAdditiveExpression(AdditiveExpression object)

      Returns the result of interpreting the object as an instance of 'Additive Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Additive Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAdditiveOperator

          public java.lang.Object caseAdditiveOperator(AdditiveOperator object)

      Returns the result of interpreting the object as an instance of 'Additive Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Additive Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAdditiveSubExpression

          public java.lang.Object caseAdditiveSubExpression(AdditiveSubExpression object)

      Returns the result of interpreting the object as an instance of 'Additive Sub Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Additive Sub Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAssignmentExpression

          public java.lang.Object caseAssignmentExpression(AssignmentExpression object)

      Returns the result of interpreting the object as an instance of 'Assignment Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Assignment Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAssignmentOperator

          public java.lang.Object caseAssignmentOperator(AssignmentOperator object)

      Returns the result of interpreting the object as an instance of 'Assignment Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Assignment Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCompoundExpression

          public java.lang.Object caseCompoundExpression(CompoundExpression object)

      Returns the result of interpreting the object as an instance of 'Compound Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Compound Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDeclarator

          public java.lang.Object caseDeclarator(Declarator object)

      Returns the result of interpreting the object as an instance of 'Declarator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Declarator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExpression

          public java.lang.Object caseExpression(Expression object)

      Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFeatureCall

          public java.lang.Object caseFeatureCall(FeatureCall object)

      Returns the result of interpreting the object as an instance of 'Feature Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Feature Call'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFeatureCallParameters

          public java.lang.Object caseFeatureCallParameters(FeatureCallParameters object)

      Returns the result of interpreting the object as an instance of 'Feature Call Parameters'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Feature Call Parameters'.
      See Also:
        `doSwitch(EObject)`

    - #### caseGeneralExpression

          public java.lang.Object caseGeneralExpression(GeneralExpression object)

      Returns the result of interpreting the object as an instance of 'General Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'General Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIExpression

          public java.lang.Object caseIExpression(IExpression object)

      Returns the result of interpreting the object as an instance of 'IExpression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'IExpression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIfExpression

          public java.lang.Object caseIfExpression(IfExpression object)

      Returns the result of interpreting the object as an instance of 'If Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'If Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIPrimaryExpression

          public java.lang.Object caseIPrimaryExpression(IPrimaryExpression object)

      Returns the result of interpreting the object as an instance of 'IPrimary Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'IPrimary Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLiteral

          public java.lang.Object caseLiteral(Literal object)

      Returns the result of interpreting the object as an instance of 'Literal'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Literal'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLiteralCollection

          public java.lang.Object caseLiteralCollection(LiteralCollection object)

      Returns the result of interpreting the object as an instance of 'Literal Collection'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Literal Collection'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLogicalExpression

          public java.lang.Object caseLogicalExpression(LogicalExpression object)

      Returns the result of interpreting the object as an instance of 'Logical Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Logical Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLogicalOperator

          public java.lang.Object caseLogicalOperator(LogicalOperator object)

      Returns the result of interpreting the object as an instance of 'Logical Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Logical Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLogicalSubExpression

          public java.lang.Object caseLogicalSubExpression(LogicalSubExpression object)

      Returns the result of interpreting the object as an instance of 'Logical Sub Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Logical Sub Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseMultiplicativeExpression

          public java.lang.Object caseMultiplicativeExpression(MultiplicativeExpression object)

      Returns the result of interpreting the object as an instance of 'Multiplicative Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multiplicative Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseMultiplicativeOperator

          public java.lang.Object caseMultiplicativeOperator(MultiplicativeOperator object)

      Returns the result of interpreting the object as an instance of 'Multiplicative Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multiplicative Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseMultiplicativeSubExpression

          public java.lang.Object caseMultiplicativeSubExpression(MultiplicativeSubExpression object)

      Returns the result of interpreting the object as an instance of 'Multiplicative Sub Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multiplicative Sub Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameterList

          public java.lang.Object caseParameterList(ParameterList object)

      Returns the result of interpreting the object as an instance of 'Parameter List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter List'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathName

          public java.lang.Object casePathName(PathName object)

      Returns the result of interpreting the object as an instance of 'Path Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Name'.
      See Also:
        `doSwitch(EObject)`

    - #### casePostfixExpression

          public java.lang.Object casePostfixExpression(PostfixExpression object)

      Returns the result of interpreting the object as an instance of 'Postfix Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Postfix Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### casePrimaryExpression

          public java.lang.Object casePrimaryExpression(PrimaryExpression object)

      Returns the result of interpreting the object as an instance of 'Primary Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Primary Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseQualifiers

          public java.lang.Object caseQualifiers(Qualifiers object)

      Returns the result of interpreting the object as an instance of 'Qualifiers'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Qualifiers'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRangeExpression

          public java.lang.Object caseRangeExpression(RangeExpression object)

      Returns the result of interpreting the object as an instance of 'Range Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Range Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRelationalExpression

          public java.lang.Object caseRelationalExpression(RelationalExpression object)

      Returns the result of interpreting the object as an instance of 'Relational Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relational Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRelationalOperator

          public java.lang.Object caseRelationalOperator(RelationalOperator object)

      Returns the result of interpreting the object as an instance of 'Relational Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relational Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRelationalSubExpression

          public java.lang.Object caseRelationalSubExpression(RelationalSubExpression object)

      Returns the result of interpreting the object as an instance of 'Relational Sub Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relational Sub Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTypeSpecifier

          public java.lang.Object caseTypeSpecifier(TypeSpecifier object)

      Returns the result of interpreting the object as an instance of 'Type Specifier'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type Specifier'.
      See Also:
        `doSwitch(EObject)`

    - #### caseUnaryExpression

          public java.lang.Object caseUnaryExpression(UnaryExpression object)

      Returns the result of interpreting the object as an instance of 'Unary Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Unary Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseUnaryOperator

          public java.lang.Object caseUnaryOperator(UnaryOperator object)

      Returns the result of interpreting the object as an instance of 'Unary Operator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Unary Operator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseName

          public java.lang.Object caseName(Name object)

      Returns the result of interpreting the object as an instance of 'Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIConditionValue

          public java.lang.Object caseIConditionValue(IConditionValue object)

      Returns the result of interpreting the object as an instance of 'ICondition Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'ICondition Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConditionValueSet

          public java.lang.Object caseConditionValueSet(ConditionValueSet object)

      Returns the result of interpreting the object as an instance of 'Condition Value Set'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Condition Value Set'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueSet

          public java.lang.Object caseValueSet(ValueSet object)

      Returns the result of interpreting the object as an instance of 'Value Set'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Set'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleStatement

          public java.lang.Object caseRuleStatement(RuleStatement object)

      Returns the result of interpreting the object as an instance of 'Rule Statement'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Statement'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.